FLANG

Classes | Public Member Functions | List of all members
Fortran::evaluate::ActualArgument Class Reference

## Classes
class | AssumedType

## Public Member Functions
| ActualArgument (Expr< SomeType > &&)
| ActualArgument (common::CopyableIndirection< Expr< SomeType >> &&)
| ActualArgument (AssumedType)
ActualArgument & | operator= (Expr< SomeType > &&)
Expr< SomeType > * | UnwrapExpr ()
const Expr< SomeType > * | UnwrapExpr () const
const Symbol * | GetAssumedTypeDummy () const
std::optional< DynamicType > | GetType () const
int | Rank () const
bool | operator== (const ActualArgument &) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const
std::optional< parser::CharBlock > | keyword () const
void | set_keyword (parser::CharBlock x)
bool | isAlternateReturn () const
void | set_isAlternateReturn ()
bool | isPassedObject () const
void | set_isPassedObject (bool yes=true)
bool | Matches (const characteristics::DummyArgument &) const
common::Intent | dummyIntent () const
ActualArgument & | set_dummyIntent (common::Intent intent)
void | Parenthesize ()

The documentation for this class was generated from the following files:

- include/flang/Evaluate/call.h
- lib/Evaluate/call.cpp
- lib/Evaluate/formatting.cpp